cgD3D10UnloadProgram(3)

NAME
cgD3D10UnloadProgram - Unloads a D3D shader from the runtime data structures

SYNOPSIS
  #include <Cg/cgD3D10.h>

  void cgD3D10UnloadProgram( CGprogram Program );

PARAMETERS

Program
    A program whose compiled output is used to create the D3D shader.

RETURN VALUES
None.

DESCRIPTION
cgD3D10UnloadProgram Unloads a D3D shader from the runtime data structures.

EXAMPLES
  // vertexProg is a CGprogram using a vertex profile
  ...
  cgD3D10UnloadProgram( vertexProg );

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if Program is not a valid program.

HISTORY
cgD3D10UnloadProgram was introduced in Cg 2.1.

SEE ALSO
cgD3D10LoadProgram